Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class InvalidExpressionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.expression.ExpressionException
                              |
                              +--com.bea.p13n.expression.InvalidExpressionException

Direct Known Subclasses:
  UnboundVariableException

public class InvalidExpressionException
extends ExpressionException

Exception class to signal Expression validation errors.

See Also:
  Serialized Form

Constructor Summary
`InvalidExpressionException(java.lang.String message)` Allocates an `InvalidExpressionException` object by associating the given message.
`InvalidExpressionException(java.lang.String message, java.lang.Throwable nestedException)` Allocates an `InvalidExpressionException` object by associating the given message and a nested exception.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidExpressionException

    public InvalidExpressionException(java.lang.String message)

  Allocates an `InvalidExpressionException` object by associating the given message.

  Parameters:
    `message` - The message string.

### InvalidExpressionException

    public InvalidExpressionException(java.lang.String message,
                                      java.lang.Throwable nestedException)

  Allocates an `InvalidExpressionException` object by associating the given message and a nested exception.

  Parameters:
    `message` - The message string.
    `nestedException` - The nested exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved